#ifndef KOEVENTVIEWERDIALOG_H
#define KOEVENTVIEWERDIALOG_H
// $Id: koeventviewerdialog.h,v 1.1 2000/07/11 19:26:33 cschumac Exp $
//
// Viewer dialog for events.
//

#include <qtextview.h>

#include <kdialogbase.h>

class KOEvent;
class KOEventViewer;

class KOEventViewerDialog : public KDialogBase {
    Q_OBJECT
  public:
    KOEventViewerDialog(QWidget *parent=0,const char *name=0);
    virtual ~KOEventViewerDialog();

    void setEvent(KOEvent *event);
    void setTodo(KOEvent *event);
    
  private:
    KOEventViewer *mEventViewer;
};

#endif
